<?xml version="1.0" encoding="UTF-8"?><refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="uiCreateTree">  <info>    <pubdate>$LastChangedDate$</pubdate>  </info>  <refnamediv>    <refname>uiCreateTree</refname>    <refpurpose> Creation of a Tree </refpurpose>  </refnamediv>  <refsynopsisdiv>    <title>Calling Sequence</title>    <synopsis>myTree = uiCreateTree(myParentTree, mySubTree1, mySubTree2,...,mySubTreeN)	</synopsis>  </refsynopsisdiv>  <refsection>    <title>Input parameters</title>    <variablelist>      <varlistentry>        <term>myParentTree</term>        <listitem>          <para>a Tree.</para>        </listitem>      </varlistentry>      <varlistentry>        <term>mySubTree(s)</term>        <listitem>          <para>one or many trees</para>        </listitem>      </varlistentry>	</variablelist>  </refsection>  <refsection>	<title>Output parameters</title>	<variablelist>	  <varlistentry>        <term>myTree</term>        <listitem>          <para>a Tree</para>        </listitem>      </varlistentry>    </variablelist>  </refsection>  <refsection>    <title>Description</title>    <para>Creates a Tree in which myParentTree will have children(mySubTree1, mySubTree2,...,mySubTreeN).</para>  </refsection>  <refsection>    <title>Examples</title>    <programlisting role="example"><![CDATA[ // We should create nodes(subTrees) before creating trees	leaf11 = uiCreateNode('leaf 1.1', 'iconLeaf1.1', 'callbackLeaf1.1')leaf12 = uiCreateNode('leaf 1.2', 'iconLeaf1.2', 'callbackLeaf1.2')leaf31 = uiCreateNode('leaf 3.1', 'iconLeaf3.1', 'callbackLeaf3.1')leaf32 = uiCreateNode('leaf 3.2', 'iconLeaf3.2', 'callbackLeaf3.2')node1 = uiCreateNode('Node 1', 'iconNode1', 'callbackNode1')node2 = uiCreateNode('Node 2', 'iconNode2', 'callbackNode2')node3 = uiCreateNode('Node 3', 'iconNode3', 'callbackNode3')root = uiCreateNode('Root', 'iconRoot', 'callbackRoot')treeNode1 = uiCreateTree(node1, leaf11, leaf12)treeNode3 = uiCreateTree(node3, leaf31, leaf32)treeRoot = uiCreateTree( root, treeNode1, node2, treeNode3)uiDisplayTree(treeRoot) ]]></programlisting>  </refsection>  <refsection>    <title>See Also</title>    <simplelist type="inline">      <member>        <link linkend="uiCreateNode">uiCreateNode</link>       </member>	  <member>        <link linkend="uiDumpTree">uiDumpTree</link>       </member>    </simplelist>  </refsection></refentry>